<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<p-button
  *ngIf="!disabled"
  [link]="true"
  size="small"
  icon="pi pi-chevron-down"
  iconPos="right"
  [label]="label"
  (onClick)="menu.toggle($event)"
></p-button>

<p-menu #menu [model]="options" [popup]="true" appendTo="body"> </p-menu>

<p-dialog
  header="Unable to contract items"
  [modal]="true"
  [(visible)]="lowPrivacy"
  [style]="{ width: '56rem' }"
  [draggable]="false"
  [closeOnEscape]="true"
  [dismissableMask]="true"
>
  <ng-template pTemplate="header">
    <div class="flex items-center justify-center gap-4 font-semibold text-yellow">
      <i class="pi pi-exclamation-triangle" style="font-size: 1.2rem"></i>
      <div class="text-lg">Unable to contract items</div>
    </div>
  </ng-template>
  <div class="flex flex-col pb-10 text-text-300">
    <div>Some of the selected items have too low privacy level.</div>
    <div>
      Please change the privacy level of the following items to
      <span class="text-text-500 bg-whitesmoke rounded-sm py-2 px-3 border border-borderGrey"
        ><i class="fa-regular fa-handshake"></i> Partners</span
      >
      or higher before continue.
    </div>
  </div>
  <app-bulk-change-privacy [items]="lowPrivacyItems"> </app-bulk-change-privacy>
  <div class="w-full flex items-end justify-end mt-8">
    <p-button [disabled]="contractsDisabled" label="Continue" (onClick)="contractItems()"></p-button>
  </div>
</p-dialog>

<p-dialog
  header="Change Privacy of Items"
  [modal]="true"
  [(visible)]="changePrivacy"
  [style]="{ width: '56rem' }"
  [draggable]="false"
  [closeOnEscape]="true"
  [dismissableMask]="true"
>
  <ng-template pTemplate="header">
    <div class="flex items-center justify-center gap-4 font-semibold">
      <i class="fa fa-eye" style="font-size: 1.2rem"></i>
      <div class="text-lg">Change Privacy of Items</div>
    </div>
  </ng-template>
  <app-bulk-change-privacy [items]="changePrivacyItems" [preselectAll]="true"> </app-bulk-change-privacy>
</p-dialog>
